Subject: bug#45557: 27.1; Incorrect rendering of COMBINING OVERLINE

From: Madhu <[email-masked]>
Date: Thu, 07 Jan 2021 11:40:31 +0530 (IST)

*  Eli Zaretskii <[email-masked]> <[email-masked]>
Wrote on Wed, 06 Jan 2021 18:10:29 +0200
>> From: Madhu <[email-masked]>
>> > Anyway, I see no Emacs problems in your description, only font
>> > problems.  The text you sent is displayed correctly on my system, both
>> > of its lines.
Can you try using a font with emacs which does not compose the x and
overbar?

>> I assume the mswindows and applemac systems dont pull in harfbuzz?
> No, the Windows build does use HarfBuzz.
Whatever is doing the visual composition of x + overbar (when emacs is
explicitly asked not to do it by turning auto-composition-mode off) -
it isn't harfbuzz.  It happens on an emacs (--without-all) which links
to freetype without harfbuzz/cairo (and even when emacs isn't using m17n-lib)
Very puzzling.